Как настроить JVM 9 на Kotlin с Gradle?

Ориентация JVM 1.8 на Kotlin с Gradle так же просто, как и

compileKotlin { kotlinOptions { jvmTarget = "1.8" } } 

Но это не работает для Java 9, если я просто изменил jvmTarget на 9 или 1.9 . Как мне это сделать?

В настоящее время Котлин нацелен только на Java 6 и 8

См. Часто задаваемые вопросы здесь https://kotlinlang.org/docs/reference/faq.html#does-kotlin-only-target-java-6

Что в данный момент говорит

Котлин нацелен только на Java 6? Нет. Kotlin позволяет вам выбирать между генерацией Java 6 и совместимым с Java 8 байт-кодом. Более оптимальный байтовый код может быть сгенерирован для более высоких версий платформы.